DCMTK: OFStackBase Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
OFStackBase Class Reference

non-template base class for OFStack. More...

Inheritance diagram for OFStackBase:

## Public Member Functions
| OFStackBase ()
| default constructor
virtual | ~OFStackBase ()
| destructor
OFBool | base_empty () const
| checks if the stack is empty
size_t | base_size () const
| returns size of stack
OFStackLinkBase * | base_top ()
| returns element on top of stack.
const OFStackLinkBase * | base_top () const
| returns element on top of stack.
void | base_push (OFStackLinkBase *element)
| pushes element onto stack.
void | base_pop ()
| removes top element from stack.

## Protected Attributes
OFStackLinkBase * | head
| pointer to top element of stack
size_t | stackSize
| size of stack

## Private Member Functions
| OFStackBase (const OFStackBase &)
| private undefined copy constructor
OFStackBase & | operator= (const OFStackBase &)
| private undefined copy assignment operator

## Detailed Description

non-template base class for OFStack.

Implicitly used by OFStack, should not be called by users.

## Member Function Documentation

## ◆ base_empty()

OFBool OFStackBase::base_empty | ( |  | ) | const
| inline

checks if the stack is empty

Returns
  true if stack is empty, false otherwise

References head.

Referenced by ~OFStackBase(), OFStack< T >::empty(), and OFStack< T >::operator=().

## ◆ base_pop()

void OFStackBase::base_pop | ( |  | ) |
| inline

removes top element from stack.

precondition: stack not empty.

References head, and stackSize.

Referenced by ~OFStackBase(), OFStack< T >::operator=(), and OFStack< T >::pop().

## ◆ base_push()

void OFStackBase::base_push | ( | OFStackLinkBase * | element | ) |
| inline

pushes element onto stack.

Parameters

  element | pointer to element

References head, OFStackLinkBase::next, and stackSize.

Referenced by OFStack< T >::push().

## ◆ base_size()

size_t OFStackBase::base_size | ( |  | ) | const
| inline

returns size of stack

Returns
  size of stack

References stackSize.

Referenced by OFStack< T >::size().

## ◆ base_top() [1/2]

OFStackLinkBase * OFStackBase::base_top | ( |  | ) |
| inline

returns element on top of stack.

precondition: stack is not empty

Returns
  element on top of stack.

References head.

Referenced by OFStack< T >::top(), and OFStack< T >::top().

## ◆ base_top() [2/2]

const OFStackLinkBase * OFStackBase::base_top | ( |  | ) | const
| inline

returns element on top of stack.

precondition: stack is not empty

Returns
  element on top of stack.

References head.

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofstack.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2